package com.ibiz.core.external.dao;

import com.ibiz.core.external.filter.ORGUSERSearchContext;
import com.ibiz.core.external.dao.po.IORGUSERTable;
import java.util.List;
import java.util.Map;

/**
 * 关系型数据实体表[Table]DAO对象
 */
public interface IORGUSERTableDAO {

    IORGUSERTable createOrguserTable();

    boolean create(IORGUSERTable et);

    boolean update(IORGUSERTable et);

    IORGUSERTable get(String orguserid);

    IORGUSERTable get(IORGUSERTable et);

    boolean remove(String orguserid);


    List<IORGUSERTable> searchCurOrgUser(ORGUSERSearchContext context);
    List<IORGUSERTable> searchDefault(ORGUSERSearchContext context);
}
